OpenVDB: RootNodeMask::OffIterator Class Reference

OpenVDB 10.0.1

Public Member Functions | Protected Attributes | List of all members
RootNodeMask::OffIterator Class Reference

`#include <openvdb/util/NodeMasks.h>`

Inherits RootNodeMask::BaseIterator.

## Public Member Functions
| OffIterator ()
| OffIterator (Index32 pos, const RootNodeMask *parent)
void | increment ()
void | increment (Index n)
bool | next ()
bool | operator* () const
OffIterator & | operator++ ()
bool | operator== (const BaseIterator &iter) const
bool | operator!= (const BaseIterator &iter) const
bool | operator< (const BaseIterator &iter) const
Index32 | offset () const
Index32 | pos () const
bool | test () const
| operator bool () const

## Protected Attributes
Index32 | mPos
Index32 | mBitSize
const RootNodeMask * | mParent

## Constructor & Destructor Documentation

## ◆ OffIterator() [1/2]

OffIterator | ( |  | ) |
| inline

## ◆ OffIterator() [2/2]

OffIterator | ( | Index32 | pos,
|  | const RootNodeMask * | parent
| ) |  |
| inline

## Member Function Documentation

## ◆ increment() [1/2]

void increment | ( |  | ) |
| inline

## ◆ increment() [2/2]

void increment | ( | Index | n | ) |
| inline

## ◆ next()

bool next | ( |  | ) |
| inline

## ◆ offset()

Index32 offset | ( |  | ) | const
| inlineinherited

## ◆ operator bool()

operator bool | ( |  | ) | const
| inlineinherited

## ◆ operator!=()

bool operator!= | ( | const BaseIterator & | iter | ) | const
| inlineinherited

## ◆ operator*()

bool operator* | ( |  | ) | const
| inline

## ◆ operator++()

OffIterator & operator++ | ( |  | ) |
| inline

## ◆ operator<()

bool operator< | ( | const BaseIterator & | iter | ) | const
| inlineinherited

## ◆ operator==()

bool operator== | ( | const BaseIterator & | iter | ) | const
| inlineinherited

## ◆ pos()

Index32 pos | ( |  | ) | const
| inlineinherited

## ◆ test()

bool test | ( |  | ) | const
| inlineinherited

## Member Data Documentation

## ◆ mBitSize

Index32 mBitSize
| protected

## ◆ mParent

const RootNodeMask* mParent
| protected

## ◆ mPos

Index32 mPos
| protected